<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_28c85ce81fee6532980262893" . "b6f2425" => base64_decode("dXNlcm5h" . "bWU="), "contex" . "t" => base64_decode("Y29udGV4dA=" . "="), "_eb6cb4623735c07195e93735d65" . "9236d" => base64_decode("cHJldl9lbWFpbF" . "9hZGRyZXNz"), "_5439477835f9c" . "7cc26a988f88cb" . "19553" => base64_decode("cHJldl9m" . "dWxsX25h" . "bWU="), "user_" . "id" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="), "_539cf4259a149ca9dbb739b2cdb7c" . "608" => base64_decode("ZW1haWxfYWRk" . "cmVzcw=="), "_b070ffda70d673b" . "aa2ab1a4ca13c254" . "c" => base64_decode("cHJldl9" . "1c2Vybm" . "FtZQ=="), "_dd45fa0d6586ab8e73f6f6f116b" . "1a970" => base64_decode("cHJld" . "l91c2" . "VyX2l" . "k"), "_baec81a" . "782bb3d5" . "38149a92" . "25688246" . "e" => base64_decode("ZXZlbnRfc291" . "cmNl"), "_8cca4dd34e2" . "0c5344bb2a30" . "f2533c4e5" => base64_decode("ZnVsbF9" . "uYW1l"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["co" . "nt" . "ex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["conte" . "xt"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8cca4dd34e" . "20c5344bb2a" . "30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_28c85ce81fee65329" . "80262893b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_539cf42" . "59a149ca" . "9dbb739b" . "2cdb7c60" . "8"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dd45fa0d" . "6586ab8e7" . "3f6f6f116" . "b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5439477835f9c7cc26a988f88cb1955" . "3"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b070ffda70d673baa" . "2ab1a4ca13c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_eb6cb462373" . "5c07195e9373" . "5d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_baec81a782bb3d538" . "149a9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}